mallow docs

Whitelist config account

GET
/v2/accounts/market/whitelist-config/{address}

Reads the account from Solana and returns it decoded, as { viewSlot, account }. account is null when the account doesn't exist.

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Path Parameters

address*string

WhitelistConfig account address (base58). A PDA of the MallowMarket program, derived from seeds ["whitelist_config", listing].

Length1 <= length

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v2/accounts/market/whitelist-config/string"
{  "result": {    "viewSlot": 0,    "account": {      "accountType": "whitelistConfig",      "bump": 0,      "duration": 0,      "walletsRoot": "string",      "collectionsOrCreators": [        "string"      ],      "pubkey": "string",      "program": "mallow-market"    }  }}